devel/p5-Object-InsideOut - The NetBSD Packages Collection

Perl 5 module providing comprehensive inside-out object support

The Perl 5 module Object::InsideOut provides comprehensive support
for implementing classes using the inside-out object model.

It implements inside-out objects as anonymous scalar references
that are blessed into a class with the scalar containing the ID
for the object (usually a sequence number).  Object data (i.e.,
fields) are stored within the class's package in either arrays
indexed by the object's ID, or hashes keyed to the object's ID.

The virtues of the inside-out object model over the 'blessed hash'
object model have been extolled in detail elsewhere.  Briefly,
inside-out objects offer the following advantages over 'blessed
hash' objects:
* Encapsulation
* Field Name Collision Avoidance
* Compile-time Name Checking

Build dependencies

devel/p5-Module-Build pkgtools/cwrappers

Runtime dependencies

devel/p5-Exception-Class devel/p5-Scalar-List-Utils devel/p5-Want lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Object-InsideOut-4.05nb3.tgz
NetBSD 8.0earmv7hfp5-Object-InsideOut-4.05nb2.tgz
NetBSD 8.0earmv7hfp5-Object-InsideOut-4.05nb3.tgz
NetBSD 8.0i386p5-Object-InsideOut-4.05nb2.tgz
NetBSD 8.0i386p5-Object-InsideOut-4.05nb3.tgz
NetBSD 8.0powerpcp5-Object-InsideOut-4.05nb2.tgz
NetBSD 8.0powerpcp5-Object-InsideOut-4.05nb3.tgz
NetBSD 8.0powerpcp5-Object-InsideOut-4.05nb3.tgz
NetBSD 8.0powerpcp5-Object-InsideOut-4.05nb3.tgz
NetBSD 8.0x86_64p5-Object-InsideOut-4.05nb2.tgz
NetBSD 8.0x86_64p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0aarch64p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0aarch64p5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0aarch64p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0alphap5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0alphap5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0alphap5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0earmp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0earmp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0earmp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0earmv6hfp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0earmv6hfp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0earmv6hfp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0earmv7hfp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0earmv7hfp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0earmv7hfp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0earmv7hfp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0i386p5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0i386p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0i386p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0mips64ebp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0mips64ebp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0mips64ebp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0mips64ebp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0mips64ebp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0powerpcp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0powerpcp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0powerpcp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0powerpcp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0sh3elp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0sparc64p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0sparc64p5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0sparc64p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0sparcp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0sparcp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0sparcp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0sparcp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0sparcp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0vaxp5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0vaxp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0vaxp5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0x86_64p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0x86_64p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0x86_64p5-Object-InsideOut-4.05nb2.tgz
NetBSD 9.0x86_64p5-Object-InsideOut-4.05nb3.tgz
NetBSD 9.0x86_64p5-Object-InsideOut-4.05nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.